Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class DriverStationEnhancedIO.tDigitalConfig

    java.lang.Object
      edu.wpi.first.wpilibj.DriverStationEnhancedIO.tDigitalConfig

Enclosing class:
  DriverStationEnhancedIO

    public static class DriverStationEnhancedIO.tDigitalConfig

extends Object

Digital configuration for enhanced IO

Field Summary
`static DriverStationEnhancedIO.tDigitalConfig` | `kAnalogComparator`
`static DriverStationEnhancedIO.tDigitalConfig` | `kInputFloating`
`static DriverStationEnhancedIO.tDigitalConfig` | `kInputPullDown`
`static DriverStationEnhancedIO.tDigitalConfig` | `kInputPullUp`
`static DriverStationEnhancedIO.tDigitalConfig` | `kOutput`
`static DriverStationEnhancedIO.tDigitalConfig` | `kPWM`
`static DriverStationEnhancedIO.tDigitalConfig` | `kUnknown`
`int` | `value` The integer value representing this enumeration

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

  The integer value representing this enumeration

### kUnknown

    public static final DriverStationEnhancedIO.tDigitalConfig kUnknown

### kInputFloating

    public static final DriverStationEnhancedIO.tDigitalConfig kInputFloating

### kInputPullUp

    public static final DriverStationEnhancedIO.tDigitalConfig kInputPullUp

### kInputPullDown

    public static final DriverStationEnhancedIO.tDigitalConfig kInputPullDown

### kOutput

    public static final DriverStationEnhancedIO.tDigitalConfig kOutput

### kPWM

    public static final DriverStationEnhancedIO.tDigitalConfig kPWM

### kAnalogComparator

    public static final DriverStationEnhancedIO.tDigitalConfig kAnalogComparator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"